API Reference
Audit Logs
3 endpoints· Auth: JWT or API Key
get
/api/v1/console/audit/logs JWT API KeyGet logs
Query parameters
| Action string | — |
| EntityType string | — |
| EntityId string (uuid) | — |
| UserId string (uuid) | — |
| From string (date) | — |
| To string (date) | — |
| FromSeq integer (int64) | — |
| ToSeq integer (int64) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/audit/logs" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/audit/logs/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/audit/logs/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/audit/logs/entities/{entityType}/{entityId} JWT API KeyGet entityId
Path parameters
| entityTyperequired string | — |
| entityIdrequired string (uuid) | — |
Query parameters
| Field string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/audit/logs/entities/{entityType}/{entityId}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu